tech-toolchain archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Cross-building NetBSD-current on Mac OS X 10.5 (Leopard)

On Wed, Aug 17, 2011 at 04:24:11PM +0200, Hubert Feyrer wrote:
> No go. :(
> Running " -U -u -X ../xsrc-current -x -m i386 -T tooldir.Darwin -O 
> obj.i386-Darwin-XXX -D destdir.i386 -R release.i386 distribution"
> on "Darwin mini.local 10.8.0 Darwin Kernel Version 10.8.0: Tue Jun  7 
> 16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386 i386"

which is Snow Leopard, not Leopard - my 9.8.0 installation is Leopard.

> in src-current/tools/mpfr
> gives:
>       checking for recent GMP... yes
>       checking for __gmpz_init in -lgmp... no
>       configure: error: libgmp not found or uses a different ABI.
>       Please read the INSTALL file -- see "In case of problem".
> Full/more output is appended below.

Yeah, we really need to see the link error from the mpz_init test in
config.log.  Also, it looks like the gcc version on Snow Leopard's
xcode is gcc 4.2, and there was a special case for that compiler in - more investigation required.


Home | Main Index | Thread Index | Old Index